%  |=====================================================|
%  | /!\:In barname be soorate goruhi neveshte shode ast.|
%  | **azaye goruh:                                      |
%  |      Norizade  -  Saleh Jamali        |
%  |  													 |
%  | Saleh J.G:                                          |
%  | dar in barname az source e barnameye Lagrange       |
%  | mojoud dar address e ".\Fasle2\Lagrange"  estefade  | 
%  | shode ast. 										 |
%  |=====================================================|



clear;
disp('CHEBYSHEV INTERPOLATION');
disp('norizade - jamali');
disp('----------------------');

syms m
func0000 = 1/(1+25*m*m);

a=-2;
b=2; % (a,b) bayad nesbat be 0 motagaren bashad
n=16; % number of points(includes a & b)

x0 = a:(b-a)/(n-1):b;
x1 = zeros(1,n+1);

for indx=1:n+1
   x1(indx) = chebishev(n,indx-1)*b; 
end

y0 = subs(func0000,m,x0);
y1 = subs(func0000,m,x1);


Lagrange(x0,y0,100,0);
Lagrange(x1,y1,100,1);